curl --request GET \
--url https://{host}/lucca-api/business-establishments/{id} \
--header 'Api-Version: <api-version>' \
--header 'Authorization: Bearer <token>'{
"id": "5",
"type": "business-establishment",
"url": "https://example.ilucca.net/lucca-api/business-establishments/5",
"name": "Lucca Marseille",
"remoteId": "00004",
"legalEntity": {
"id": "123",
"type": "legal-entity",
"url": "https://example.ilucca.net/lucca-api/legal-entities/123"
},
"taxIdentificationNumber": {
"format": "franceSIRET",
"value": "0000000000000"
},
"address": {
"addressLines": [
"Lucca",
"10 Place de la Joliette",
"Les Docks Atrium 10.2"
],
"postalCode": "13002",
"locality": "Marseille",
"administrativeArea": "Bouches-du-Rhône",
"countryCode": "FRA"
},
"timezoneId": "Europe/Paris",
"isArchived": false,
"lastArchivedAt": null,
"createdAt": "2024-05-23T13:45:26.0001Z",
"lastUpdatedAt": "2024-05-23T13:45:26.0001Z",
"links": {},
"embedded": {
"legal-entity": {
"123": {
"id": "123",
"type": "legal-entity",
"url": "https://example.ilucca.net/lucca-api/legal-entities/123",
"legalName": "Lucca S.A.S.",
"remoteId": "LE:83.2938",
"countryCode": "FRA",
"currencyCode": "EUR",
"taxIdentificationNumber": {
"format": "franceSIREN",
"value": "44163769100128"
},
"industryCode": {
"format": "franceAPE",
"value": "7022Z"
},
"createdAt": "2024-01-01T08:34:23.0001Z",
"lastUpdatedAt": "2024-01-01T08:34:23.0001Z",
"lastArchivedAt": null,
"links": {
"businessEstablishments": {
"href": "https://example.ilucca.net/lucca-api/business-establishments?legalEntity.id=123"
}
}
}
}
}
}Retrieve a business-establishment.
curl --request GET \
--url https://{host}/lucca-api/business-establishments/{id} \
--header 'Api-Version: <api-version>' \
--header 'Authorization: Bearer <token>'{
"id": "5",
"type": "business-establishment",
"url": "https://example.ilucca.net/lucca-api/business-establishments/5",
"name": "Lucca Marseille",
"remoteId": "00004",
"legalEntity": {
"id": "123",
"type": "legal-entity",
"url": "https://example.ilucca.net/lucca-api/legal-entities/123"
},
"taxIdentificationNumber": {
"format": "franceSIRET",
"value": "0000000000000"
},
"address": {
"addressLines": [
"Lucca",
"10 Place de la Joliette",
"Les Docks Atrium 10.2"
],
"postalCode": "13002",
"locality": "Marseille",
"administrativeArea": "Bouches-du-Rhône",
"countryCode": "FRA"
},
"timezoneId": "Europe/Paris",
"isArchived": false,
"lastArchivedAt": null,
"createdAt": "2024-05-23T13:45:26.0001Z",
"lastUpdatedAt": "2024-05-23T13:45:26.0001Z",
"links": {},
"embedded": {
"legal-entity": {
"123": {
"id": "123",
"type": "legal-entity",
"url": "https://example.ilucca.net/lucca-api/legal-entities/123",
"legalName": "Lucca S.A.S.",
"remoteId": "LE:83.2938",
"countryCode": "FRA",
"currencyCode": "EUR",
"taxIdentificationNumber": {
"format": "franceSIREN",
"value": "44163769100128"
},
"industryCode": {
"format": "franceAPE",
"value": "7022Z"
},
"createdAt": "2024-01-01T08:34:23.0001Z",
"lastUpdatedAt": "2024-01-01T08:34:23.0001Z",
"lastArchivedAt": null,
"links": {
"businessEstablishments": {
"href": "https://example.ilucca.net/lucca-api/business-establishments?legalEntity.id=123"
}
}
}
}
}
}Required OAuth 2.0 Scopes
business-establishments.readonly
business-establishments.readwrite
The Lucca API implements the oAuth 2 protocol with the client-credentials-flow. Refer to RFC8725.
Set the API version.
2024-11-01 "2024-11-01"10"2024-11-01"
Only execute the request if current cached version of the resource does not match the one given here.
"W/q5sd4w2x1c1gfdg"
Only execute the request if current cached version of the resource matches the one given here. Useful to avoid concurrency conflicts.
"W/q5sd4w2x1c1gfdg"
List of compression algorithms you support.
Unique id of the business-establishment.
Include metadata:
embedded: the partial or complete representations of related resources
(e.g. the employee the resource belongs to).links: links to related resources or actions (e.g. approving a leave-request).
May be null when you do not have access to the resource (or action).totalCount: only applicable on collections (i.e. lists of resources), gives
the total number of items across all pages.Read more about expanding responses.
embedded, links, totalCount Representation of the requested business-establishment.
A business-establishment resource.
1"business-establishment"1The third-party API ID of the matching object.
If this business-establishment is archived. Only possible if there are no more employees attached.
Reference to the legal-entity this business-establishment belongs to.
Show child attributes
True when this business-establishment should be considered the headquarters of the legal-entity it belongs to. A legal-entity may only have a single one headquarters.
Show child attributes
The industry (classification) code identifies the main type of activity of this legal-entity.
Show child attributes
Representation of a postal address.
Show child attributes
{
"addressLines": ["10 Place de la Joliette", "Atrium 10.2"],
"postalCode": "13002",
"locality": "Marseille",
"administrativeArea": "Bouches-du-Rhône",
"countryCode": "FRA"
}IANA timezone identifier this business-establishment belongs to.
"Europe/Paris"
Read-only. UTC timestamp of the moment this object was last archived through its isArchived property.
"2023-01-23T12:45:23.1234Z"
Read-only. UTC timestamp of the moment this object was created.
"2023-01-23T12:45:23.1234Z"
Read-only. UTC timestamp of the moment this object was last updated. Set upon creation, update or deletion of the object.
"2023-01-23T12:45:23.1234Z"
Embeds the representation of resources related to the business-establishment(s).
Only returned if requested by the API client: ?include=embedded.
Show child attributes
Was this page helpful?